Delete Category Description
curl --request DELETE \
--url https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}category
Delete Category Description
Delete a description for a specific category
DELETE
/
categories
/
{categoryId}
/
descriptions
/
{salesChannelId}
/
{languageIso}
Delete Category Description
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The id of the sales channel that the descriptions belong to.
The iso code of the language that the descriptions belong to.
Response
Was this page helpful?
⌘I